/*
	Program:	Newpaper v1.1 by Mark Marsul on 17-Mar-95.

	Purpose: 	Changes "Wallpaper=" entry in WIN.INI to the next *.BMP file alphabetically.
				If the file size is less than 150,000 bytes, tiles wallpaper.

	Caveats:	Must be run in the directory where the *.BMP files are located.
*/

#include "windows.h"
#include "string.h"
#include "io.h"
#include <stdlib.h>
#include <stdio.h>
#include <dos.h>
#include <errno.h >

main()
{

	char *lpCurWpFilename = "current     \0";
	int ReturnCode;
	struct _find_t  c_file;
	char *lpNextWpFilename = "next        \0";
	long Tile;
	char cTile[2] = " \0";

	ReturnCode = GetProfileString ( "desktop", "wallpaper", "", lpCurWpFilename, 13 );
	if ( _dos_findfirst ( "*.bmp", _A_NORMAL, &c_file ) != 0) return (2);
	strcpy( lpNextWpFilename, c_file.name );
	while( _dos_findnext( &c_file ) == 0 )
	{
		ReturnCode = stricmp( lpCurWpFilename, c_file.name );
		if ( ReturnCode < 0 )
		{
			strcpy( lpNextWpFilename, c_file.name );
			ReturnCode = WriteProfileString("Desktop","Wallpaper",lpNextWpFilename);
			Tile = ( c_file.size < 150000 );
			ltoa( Tile, cTile, 10 );
			ReturnCode = WriteProfileString("Desktop","TileWallPaper",cTile);
			return(0);
		}
	}
	ReturnCode = WriteProfileString("Desktop","Wallpaper",lpNextWpFilename);
	Tile = ( c_file.size < 150000 );
	ltoa( Tile, cTile, 10 );
	ReturnCode = WriteProfileString("Desktop","TileWallPaper",cTile);
	return(1);
}